Groovy 1.7.0

## org.codehaus.groovy.transform
Class SingletonASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.SingletonASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase= CompilePhase.CANONICALIZATION)
    class SingletonASTTransformation
    extends Object

Handles generation of code for the @Singleton annotation

author:
  Alex Tkachman

Constructor Summary
`SingletonASTTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SingletonASTTransformation

    SingletonASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  param:
    nodes the ast nodes
  param:
    source the source unit for the nodes

Copyright © 2003-2009 The Codehaus. All rights reserved.